<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>React Training</title>
    <style> body{background-color: aqua;}</style>
</head>
<body>

    <div id="root">
        
    </div>

    

    <script crossorigin src="https://unpkg.com/react@16/umd/react.development.js"></script>
    <script crossorigin src="https://unpkg.com/react-dom@16/umd/react-dom.development.js"></script>
    <script src="https://unpkg.com/@babel/standalone/babel.min.js"></script>

    <script type="text/babel"> 
    function hello(user){
        return 'Hello ' +user.name + ' . How are You ' +user.last
    }

    console.log(hello({name: 'Ahmad', last: 'Khanzadeh'}));
    // write the same code by React

// Ech child will be positioned in props box
    function Hello (props){
        console.log(props)
        return <div>Hello {props.name} how are you {props.last}  .    and the the childrens are: <Greatings insertLocation="tehran" /></div>
    }

    function Greatings(props){
        return <div>Greatings {props.insertLocation}</div>
    }

    const element= <Hello name="Ahmad" last="Khanzadeh"></Hello>

    ReactDOM.render(element, document.getElementById('root'));
     

    // bist 13ten achten von js

        // class TaskLabel extends React.Component{
        //     render(){
        //         return <div className="label-container">
        //                      <label htmlFor="theTask">what do you want to do today</label>
        //                      <br />
        //                 </div>
        //     }
            
        // }

        // class InputMaker extends React.Component{
        //     render(){
        //        return <div className="input-container">
        //                 <input type="text" placeholder="type your tasks:" />
        //                  <br />
        //             </div>
        //     }
        // }

        // class RadionBtnMaker extends React.Component{
        //     render(){
        //         return <div classNem="radio-container"> 
        //                     <input type="radio"/>
        //                 </div>
        //     }
        // }

        // class TaskmanagerCreator extends React.Component{
        //     render(){
        //         return <form>
        //                     <TaskLabel />
        //                     <InputMaker />
        //                     <RadionBtnMaker />
        //                 </form>
        //     }
        // }

        // ReactDOM.render(<TaskmanagerCreator />, document.getElementById('root'));
        // class UsernameBox extends React.Component{
        //     render(){
        //         return <div className="form-element">
        //                          <label htmlFor="username">Username</label>
        //                          <input type="text" placeholder="Your username"/>
        //                 </div>
        //     }
        // }

        // class PasswordBox extends React.Component{
        //     render(){
        //         return <div className="form-element">
        //                          <label htmlFor="Password">Password</label>
        //                          <input type="text" placeholder="Your Password"/>
        //                     </div>
        //     }
        // }

        // class FormSubmitButton extends React.Component{
        //     render(){
        //         return <button type="submit">Submit</button>
        //     }
        // }

        // class SignInForm extends React.Component{
        //     render() {
        //         return <form className="form-element">
        //                     < UsernameBox />
        //                     <PasswordBox />
        //                     <FormSubmitButton />
        //                 </form>
        //              }
        // }
       
        // ReactDOM.render(<SignInForm /> , document.getElementById('root'));

    </script>
</body>
</html>
